VERSION 5.00
Object = "{D01BD6BE-456A-4078-AEBF-3ACB85261FA6}#2.1#0"; "VCProX.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4545
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5550
   LinkTopic       =   "Form1"
   ScaleHeight     =   4545
   ScaleWidth      =   5550
   StartUpPosition =   3  'Windows Default
   Begin VCProX.vcproWaveCodecDeviceX waveCodec 
      Height          =   735
      Left            =   1440
      TabIndex        =   11
      Top             =   840
      Width           =   1455
      Active          =   0   'False
      AutoActivate    =   -1  'True
      CalcVolume      =   0   'False
      DumpInput       =   ""
      DumpOutput      =   ""
      FormatTag       =   2
      FormatTagImmunable=   -1  'True
      InputIsPcm      =   -1  'True
      IsFormatProvider=   -1  'True
      OverNum         =   5
      PcmBitsPerSample=   16
      PcmNumChannels  =   2
      PcmSamplesPerSec=   44100
      RealTime        =   0   'False
      SyncEvents      =   0   'False
   End
   Begin VCProX.vcproIpClientX ipClient2 
      Height          =   615
      Left            =   3720
      TabIndex        =   8
      Top             =   2880
      Width           =   1500
      Port            =   "17820"
      Proto           =   1
      Active          =   0   'False
      AutoActivate    =   0   'False
      DumpInput       =   ""
      DumpOutput      =   ""
      IsFormatProvider=   -1  'True
      Host            =   ""
      SyncEvents      =   0   'False
   End
   Begin VCProX.vcproIpClientX ipClient1 
      Height          =   615
      Left            =   3720
      TabIndex        =   7
      Top             =   2040
      Width           =   1500
      Port            =   "17820"
      Proto           =   1
      Active          =   0   'False
      AutoActivate    =   0   'False
      DumpInput       =   ""
      DumpOutput      =   ""
      IsFormatProvider=   -1  'True
      Host            =   ""
      SyncEvents      =   0   'False
   End
   Begin VCProX.vcproWaveRiffX waveRiff 
      Height          =   735
      Left            =   240
      TabIndex        =   0
      Top             =   840
      Width           =   1140
      Active          =   0   'False
      AutoActivate    =   -1  'True
      CalcVolume      =   0   'False
      DumpInput       =   ""
      DumpOutput      =   ""
      IsFormatProvider=   -1  'True
      OverNum         =   5
      PcmBitsPerSample=   16
      PcmNumChannels  =   2
      PcmSamplesPerSec=   44100
      FileName        =   ""
      IsInput         =   -1  'True
      Loop            =   0   'False
      RealTime        =   -1  'True
      SyncEvents      =   0   'False
   End
   Begin VB.CommandButton Button_Stop 
      Caption         =   "S&top"
      Height          =   495
      Left            =   3720
      TabIndex        =   10
      Top             =   1200
      Width           =   1575
   End
   Begin VB.CommandButton Button_Start 
      Caption         =   "&Start"
      Height          =   495
      Left            =   3720
      TabIndex        =   9
      Top             =   600
      Width           =   1575
   End
   Begin VB.TextBox Text_srv2Address 
      Height          =   375
      Left            =   360
      TabIndex        =   6
      Text            =   "192.168.1.2"
      Top             =   3120
      Width           =   3135
   End
   Begin VB.TextBox Text_srv1Address 
      Height          =   375
      Left            =   360
      TabIndex        =   3
      Text            =   "192.168.1.1"
      Top             =   2280
      Width           =   3135
   End
   Begin VB.TextBox Text_FileName 
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Text            =   "J:\_data\_audio\sine3.wav"
      Top             =   360
      Width           =   2895
   End
   Begin VB.Label Label3 
      Caption         =   "Server #2 Address:"
      Height          =   375
      Left            =   360
      TabIndex        =   5
      Top             =   2880
      Width           =   2055
   End
   Begin VB.Label Label2 
      Caption         =   "Server #1 Address:"
      Height          =   255
      Left            =   360
      TabIndex        =   4
      Top             =   2040
      Width           =   2535
   End
   Begin VB.Label Label1 
      Caption         =   "File Name"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   120
      Width           =   2535
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub AddConsumer(provider As VCProX.IvcproProvider, consumer As VCProX.IvcproConsumer)
    provider.AddConsumer consumer
End Sub
Private Sub RemoveConsumer(provider As VCProX.IvcproProvider, consumer As VCProX.IvcproConsumer)
    provider.RemoveConsumer consumer
End Sub


Private Sub Button_Start_Click()
    ' assing file name
    waveRiff.FileName = Text_FileName
    
    ' assign addresses for clients
    ipClient1.Host = Text_srv1Address.Text
    ipClient2.Host = Text_srv2Address.Text
    
    ' activate waveRiff, which will activate IP Clients
    waveRiff.Active = True
End Sub

Private Sub Button_Stop_Click()
    ' deactivate components
    waveRiff.Active = False
End Sub

Private Sub Form_Load()
    ' link waveRiff and waveCodec
    AddConsumer waveRiff.object, waveCodec.object
    
    ' link waveCodec and IP Clients
    AddConsumer waveCodec.object, ipClient1.object
    AddConsumer waveCodec.object, ipClient2.object
End Sub

Private Sub Form_Unload(Cancel As Integer)
    ' make sure all is stopped
    waveRiff.Active = False
    
    ' remove links
    RemoveConsumer waveCodec.object, ipClient1.object
    RemoveConsumer waveCodec.object, ipClient2.object
    RemoveConsumer waveRiff.object, waveCodec.object
End Sub
